pacman_vars() {
    #Activate and change number of parallel downloads to 200
    sed -i "s/^#ParallelDownloads =.*/ParallelDownloads = 200/" /etc/pacman.conf
    #Enable color
    sed -i "s/^#Color/Color/" /etc/pacman.conf
    #Enable multilib repo
    sed -i "/\[multilib\]/,/Include/"'s/^#//' /etc/pacman.conf
}

init() {
    pacman -Syu --noconfirm
    echo 'Installing reflector'
    pacman -S reflector --noconfirm
    echo 'Generating mirrorlist...'
    printf "--save /etc/pacman.d/mirrorlist\n--protocol https\n--country Portugal,Spain,France,Unite\ Kigdom,Germany,Netherlands\n--latest 50\n--score 10\n--sort rate" | tee /etc/xdg/reflector/reflector.conf
    systemctl enable --now reflector.timer
    pacman -S sed
    echo "Performing config changes to pacman"
    pacman_vars
}
init
